diff --git a/scripts/west_commands/zspdx/walker.py b/scripts/west_commands/zspdx/walker.py
index eaa8c5dadc2..151c358dddb 100644
--- a/scripts/west_commands/zspdx/walker.py
+++ b/scripts/west_commands/zspdx/walker.py
@@ -563,14 +563,14 @@ class Walker:
     #   2) this particular ConfigTarget
     #   3) Package for this Target
     def collectTargetDependencies(self, cfgTargets, cfgTarget, pkg):
-        log.dbg(f"  - collecting target dependencies for {pkg.cfg.name}")
+        log.wrn(f"  - collecting target dependencies for {pkg.cfg.name}")
 
         # walk through target's dependencies
         for dep in cfgTarget.target.dependencies:
             # extract dep name from its id
             depFragments = dep.id.split(":")
             depName = depFragments[0]
-            log.dbg(f"    - adding pending relationship for {depName}")
+            log.wrn(f"    - adding pending relationship for {depName}")
 
             # create relationship data between dependency packages
             rd = RelationshipData()
@@ -587,6 +587,7 @@ class Walker:
             # also create STATIC_LINK relationship for dependency build files,
             # together with this Package's own target build file
             if len(cfgTarget.target.artifacts) == 0:
+                log.wrn(f"      - No targets, skipping")
                 continue
 
             # find the filename for the dependency's build product, using the
@@ -603,6 +604,7 @@ class Walker:
                     depAbspath = os.path.join(pkg.cfg.relativeBaseDir, ct.target.artifacts[0])
                     break
             if depAbspath == "":
+                log.wrn(f"      - depAbspath wasn't set")
                 continue
 
             # create relationship data between build files
